<form [formGroup]="userForm">
  <label>Username:</label>
  <input type="text" formControlName="username">

  <label>Password:</label>
  <input type="password" formControlName="password">

  <button [routerLink]="[ '/product','list']" type="submit" (click)="login()">Login</button>
</form>
